function e2 = LS(P_1,b,f_s,SS,AA,W) 
% computes the least squared residuals for $P-\Psi(theta,P)$ and is used
% for computing the fixed point of Psi
%
% Written by Hiroyuki Kasahara, University of British Columbia 
% Last Updated: July 2009 

P = Psi(P_1,b,f_s,SS,AA);
e2 = (P(:)-P_1(:))'*W*(P(:)-P_1(:));
 