function lambda_max = eig_Lambda(b,lambda)
% computes the dominant eigenvalue of Lambda=\Psi^{\alpha}P^{1-\alpha} 
%
% Written by Hiroyuki Kasahara, UBC
% Last Updated: July 2009

alpha = 1/(1+abs(b)); 
lambda_max = max(abs(alpha*lambda+(1-alpha)));
  